Post by Freakshow » Fri Dec 14, 2018 1:36 pm

I running some shops and was forced to use PHP 7.1 or 7.2 by the hosting company, atm im running 7.2.13. No php.ini anymore only alowed to use "user.ini" so, well things seem to work quite ok.
Also have set up a php.error.log file in root to catch php errors if any.
My question is, what in opencart uses mcrypt, in what scenario may i expect issues?


User avatar
Active Member

Posts

Joined
Tue Dec 30, 2014 3:52 am
Location - Norway

Post by ADD Creative » Fri Dec 14, 2018 7:47 pm

It's used by encryption class which is used by some of the payments modules (probably unnecessarily). https://github.com/opencart/opencart/se ... %3Eencrypt

The encryption class has been updated in the master branch, which I believe may generate a warning. There have also been a few replacements posted in this forum.
https://github.com/opencart/opencart/bl ... yption.php

www.add-creative.co.uk


Active Member

Posts

Joined
Sat Jan 14, 2012 1:02 am
Location - United Kingdom
Who is online

Users browsing this forum: No registered users and 7 guests